Distributed Virtual Switch Manager Get Vpc Network Span

Distributed Virtual Switch Manager Get Vpc Network Span
Get all VPC network spans.

Get all VPC network spans.

Each span is represented by a DistributedVirtualSwitchManagerSpanInfo. If no spans exist, the function may return an empty list.

Since: vSphere API Release 9.1.0.0

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/GetVpcNetworkSpan
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case DistributedVirtualSwitchManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
GetVpcNetworkSpanRequestType of type(s) application/json
Optional
{
    "spanId": "string"
}
string
spanId
Optional

If spanId is specified, returns the span with the given ID. If spanId is not specified, returns all spans currently configured in the system.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "ID": "string",
        "clusters": [
            {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            }
        ],
        "exclusive": false
    }
]
array of object
Optional

The DistributedVirtualSwitchManagerSpanInfo data object defines the configuration of a span.

A span is referenced by a DistributedVirtualPortgroup managed by NSX. Only the hosts in the cluster of the span can access the DVPG

Since: vSphere API Release 9.1.0.0


500

NotFound: if the span does not exist.

Returns NotFound of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/DistributedVirtualSwitchManager/{moId}/GetVpcNetworkSpan